petsc-3.10.5 2019-03-28
Report Typos and Errors

# SNESVISetComputeVariableBounds

Sets a function that is called to compute the variable bounds

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESVISetComputeVariableBounds(SNES snes, PetscErrorCode (*compute)(SNES,Vec,Vec))

Input parameter

| snes | - the SNES context
| compute | - computes the bounds

### See Also

SNESVISetVariableBounds()

### Level

advanced

### Location

src/snes/impls/vi/vi.c

### Examples

src/snes/examples/tutorials/ex9.c.html
src/snes/examples/tutorials/ex58.c.html

### Implementations

SNESVISetComputeVariableBounds_VI in src/snes/impls/vi/vi.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages